## aiohttp-apispec 2.2.1

=== Makefile ===
test:
	pytest tests -x -v

upload:
	if [ -d dist ]; then rm -Rf dist; fi
	python setup.py sdist
	twine upload dist/*

format:
	isort -y
	black --target-version py35 .

check_format:
	isort --check --diff
	black . --check --diff

=== requirements.txt ===
aiohttp>=3.0.1,<4.0
apispec>=3.0.0,<4.0
webargs<6.0
jinja2<3.0

=== debian/changelog ===
aiohttp-apispec (2.2.1-0parrot2) lory; urgency=medium

  * Rebuild package for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 06 Sep 2023 23:10:18 +0200

aiohttp-apispec (2.2.1-0parrot1) lts-updates; urgency=medium

  * Rebuild package for Parrot 5.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 13 Oct 2021 14:19:45 +0200

aiohttp-apispec (2.2.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 May 2021 17:28:48 +0200

=== debian/control ===
Source: aiohttp-apispec
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
	       python3-marshmallow,
	       python3-pytest,
	       python3-pytest-cov,
#	       python3-pytest-aiohttp,
	       python3-aiohttp,
	       python3-apispec,
#	       python3-webargs,
	       python3-jinja2,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.5.1
Homepage: https://github.com/maximdanilchenko/aiohttp-apispec
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-aiohttp-apispec
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-aiohttp-apispec-doc
Description: Build and document REST APIs with aiohttp and apispec (Python 3)
 This package contains a Python module to build and document REST APIs with
 aiohttp and apispec.
 The key features are:
    - docs and request_schema decorators to add swagger spec support out of the
      box;
    - validation_middleware middleware to enable validating with marshmallow
      schemas from those decorators;
    - SwaggerUI support.
    - match_info_schema, querystring_schema, form_schema, json_schema,
      headers_schema and cookies_schema decorators for specific request parts
      validation
 .
 This package installs the library for Python 3.

Package: python-aiohttp-apispec-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Build and document REST APIs with aiohttp and apispec (common documentation)
 This package contains a Python module to build and document REST APIs with
 aiohttp and apispec.
 The key features are:
    - docs and request_schema decorators to add swagger spec support out of the
      box;
    - validation_middleware middleware to enable validating with marshmallow
      schemas from those decorators;
    - SwaggerUI support.
    - match_info_schema, querystring_schema, form_schema, json_schema,
      headers_schema and cookies_schema decorators for specific request parts
      validation
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=aiohttp-apispec
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	cp -r debian/webargs aiohttp_apispec
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aiohttp-apispec-$1.tar.gz%" \
   https://github.com/maximdanilchenko/aiohttp-apispec/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
